<template>
  <v-dialog v-model="show" max-width="500px">
    <v-card>
      <v-card-title>
        Transaction Detail
      </v-card-title>
      <v-card-text>
        <div style="padding:10px">
          <label>
            <b>Finance Name</b>
          </label>
          <div class="mb-5">{{ data.title }}</div>

          <label>
            <b>Account Name</b>
          </label>
          <div class="mb-5">{{ data.finance_account_name }}</div>

          <label>
            <b>Account Type</b>
          </label>
          <div class="mb-5">{{ data.finance_account_type }}</div>

          <label>
            <b>Description</b>
          </label>
          <div class="mb-5">{{ data.description }}</div>

          <label>
            <b>Debit Amount</b>
          </label>
          <div class="mb-5">Rp {{ formatPrice(data.debit_amount) }}</div>

          <label>
            <b>Credit Amount</b>
          </label>
          <div class="mb-5">Rp {{ formatPrice(data.credit_amount) }}</div>

          <label>
            <b>Transaction Date</b>
          </label>
          <div class="mb-5">
            {{ new Date(data.created_at).toLocaleString("es-CL") }}
          </div>
        </div>

        <div align="right">
          <v-btn
            color="#babbba"
            outlined
            rounded
            @click.stop="show = false"
            class="btn-close"
          >
            Close
          </v-btn>
        </div>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  props: { value: { type: Object } },
  computed: {
    show: {
      get() {
        let self = this;
        if (self.value["data"]) {
          self.data = self.value.data;
        }
        return self.value["val"];
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  methods: {
    formatPrice(value) {
      let val = (value / 1).toFixed(0).replace(".", ",");
      return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
    },
  },
  data: function() {
    return {
      data: "",
    };
  },
};
</script>
